// Copyright.java - copyright information for a news component.
// Copyright (c) 2000 by Reuters PLC and Wavo Company, Inc.
// $Id: Copyright.java,v 1.7 2001/11/26 16:33:37 dmegginson Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Copyright information for a news component.
 *
 * <p>A copyright object forms part of the {@link RightsMetadata} for
 * a {@link NewsComponent}.</p>
 *
 * @author Reuters PLC
 * @version 1.1beta
 */
public interface Copyright
    extends AssignmentNode, BaseNode, CommentNode, IdNode
{

    /**
     * Get a text description of the copyright holder.
     *
     * <p>The description may appear in any natural-language
     * form, and is intended for human consumption rather than
     * machine processing.</p>
     *
     * @return Text describing the copyright holder.
     */
    public OriginText getCopyrightHolder ();


    /**
     * Get a text description of the copyright date.
     *
     * <p>The description may appear in any natural-language
     * form, and is intended for human consumption rather than
     * machine processing.</p>
     *
     * @return Text describing the copyright date.
     */
    public OriginText getCopyrightDate ();

}

// end of Copyright.java
