// OfInterestTo.java - statement of the intended audience.
// Copyright (c) 2000 by Reuters PLC and Wavo Company, Inc.
// $Id: OfInterestTo.java,v 1.6 2001/11/26 16:33:37 dmegginson Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Statement of the intended audience.
 *
 * <p>This interface extends the {@link AssignedFormalName} interface
 * to add relevance information.</p>
 *
 * @author Reuters PLC
 * @version 1.1beta
 */
public interface OfInterestTo
    extends AssignedFormalName
{

    /**
     * Get the a statement of relevance to the intended audience.
     *
     * @return An assigned formal name indicating the relevance,
     * or null if none was provided.
     */
    public AssignedFormalName getRelevance ();

}

// end of OfInterestTo.java
