// SourceList.java - a list of sources for administrative metadata.
// Copyright (c) 2001 by Reuters PLC.
// $Id: SourceList.java,v 1.8 2001/11/26 16:33:37 dmegginson Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * A list of sources for administrative metadata.
 *
 * <p>A source list is exactly like a party list, except that it
 * includes an optional pointer to a news item.</p>
 *
 * @author Reuters PLC
 * @version 1.1beta
 */
public interface SourceList
    extends PartyList
{

    /**
     * Get the news item pointer.
     *
     * @return Text containing a URN reference to a news item, or null
     * if none was provided.
     */
    public Text getNewsItemURN ();

}

// end of SourceList.java
