// DOMEncoding.java - DOM implementation of Encoding.
// Copyright (c) 2001 by Reuters PLC
// $Id: DOMEncoding.java,v 1.5 2001/11/26 16:33:37 dmegginson Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit.dom;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import org.newsml.toolkit.DataContent;
import org.newsml.toolkit.Encoding;
import org.newsml.toolkit.Text;


/**
 * DOM implementation of Encoding.
 *
 * @author Reuters PLC
 * @version 1.1beta
 */
class DOMEncoding
    extends DOMBaseNode
    implements Encoding
{

    /**
     * Constructor.
     *
     * @param element The DOM node representing the data content.
     */
    protected DOMEncoding (Node element, DOMNewsMLSession session)
    {
	super(element, session);
    }


    /**
     * @see Encoding#getNotation
     */
    public Text getNotation ()
    {
	return getAttribute("Notation");
    }


    /**
     * @see Encoding#getEncoding
     */
    public Encoding getEncoding ()
    {
	return (Encoding)getChild("Encoding", 0);
    }


    /**
     * @see Encoding#getDataContent
     */
    public DataContent getDataContent ()
    {
	return (DataContent)getChild("DataContent", 0);
    }

}

// end of DOMEncoding.java
