// DOMLabel.java - DOM implementation of Label.
// Copyright (c) 2001 by Reuters PLC.
// $Id: DOMLabel.java,v 1.6 2001/11/26 16:33:37 dmegginson Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit.dom;

import org.w3c.dom.Node;

import org.newsml.toolkit.FormalName;
import org.newsml.toolkit.IdText;
import org.newsml.toolkit.Label;


/**
 * DOM implementation of Label
 *
 * @author Reuters PLC
 * @version 1.1beta
 */
class DOMLabel
    extends DOMBaseNode
    implements Label
{


    /**
     * Constructor.
     */
    public DOMLabel (Node e, DOMNewsMLSession session)
    {
	super(e, session);
    }


    /**
     * @see Label#getLabelType()
     */
    public FormalName getLabelType ()
    {
	return (FormalName)getChild("LabelType", 0);
    }


    /**
     * @see Label#getLabelText()
     */
    public IdText getLabelText ()
    {
	return (IdText)getChild("LabelText", 0);
    }

}

// end of DOMLabel.java
