// AssignedOriginTextTest.java - unit tests for AssignedOriginText

package org.newsml.toolkit.dom.unittests;

import java.io.IOException;

import junit.framework.TestCase;

import org.newsml.toolkit.AssignedOriginText;

public class AssignedOriginTextTest
    extends TestCase
{

    public AssignedOriginTextTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getRightsMetadata()
	    .getUsageRights(1).getUsageType();
    }

    public void testAssignmentInfo ()
	throws Exception
    {
	assertEquals(sample.getAssignedBy().toString(), "assigned-by-99");

	assertEquals(sample.getImportance().getName().toString(),
		     "importance-99");
	assertNull(sample.getImportance().getDefaultScheme(false));
	assertEquals(sample.getImportance().getDefaultVocabulary(false),
		     "urn:aaa:bbb");

	assertEquals(sample.getConfidence().getName().toString(),
		     "confidence-99");

	assertEquals(sample.getHowPresent().getName().toString(),
		     "how-present-99");
	assertEquals(sample.getHowPresent().getDefaultScheme(false), "Foo");
	assertEquals(sample.getHowPresent().getDefaultVocabulary(false),
		     "#vocab.topictype");

	assertEquals(sample.getAssignmentDateAndTime().toString(),
		     "2001-01-31");
    }

    protected AssignedOriginText sample;

}

// end of AssignedOriginTextTest.java
