// BasisForChoiceTest.java - unit tests for BasisForChoice

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.BasisForChoice;

public class BasisForChoiceTest extends TestCase
{

    public BasisForChoiceTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getBasisForChoice(0);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "BasisForChoice");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "bas01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testXPath ()
    {
	assertEquals(sample.toString(), "//MediaType");
    }

    public void testRank ()
    {
	assertEquals(sample.getRank().toInt(), 2);
    }

    private BasisForChoice sample;

}

// end of BasisForChoiceTest.java
