// DataContentTest.java - unit tests for org.newsml.toolkit.dom.DataContent.

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import org.newsml.toolkit.DataContent;


public class DataContentTest extends TestCase
{

    public DataContentTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = (DataContent)(SampleFactory.createNewsML()
			       .getChild("NewsItem", 0)
			       .getChild("NewsComponent", 0)
			       .getChild("NewsComponent", 1)
			       .getChild("ContentItem", 2)
			       .getChild("DataContent", 0));
    }

    public void testDOMNodes ()
    {
	StringBuffer content = new StringBuffer();
	NodeList nodes = sample.getDOMNodes();
	assertNotNull(nodes);
	for (int i = 0; i < nodes.getLength(); i++) {
	    Node node = nodes.item(i);
	    if (node.getNodeType() == Node.TEXT_NODE ||
		node.getNodeType() == Node.CDATA_SECTION_NODE)
		content.append(nodes.item(i).getNodeValue());
	}
	assertEquals(content.toString(), "This is another &test.");
    }

    public void testText ()
    {
	assertEquals(sample.getText(), "This is another &test.");
    }

    public void testXMLString ()
    {
	assertEquals(sample.getXMLString(),
		     "This is <foo/>another &amp;test.");
    }

    private DataContent sample;

}

// end of DataContentTest.java
