// DefaultVocabularyForTest.java - unit tests for org.newsml.toolkit.dom.DefaultVocabularyFor.

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.w3c.dom.NodeList;

import org.newsml.toolkit.DefaultVocabularyFor;


public class DefaultVocabularyForTest extends TestCase
{

    public DefaultVocabularyForTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = (DefaultVocabularyFor)(SampleFactory.createNewsML()
					.getChild("Catalog", 0)
					.getChild("Resource", 1)
					.getChild("DefaultVocabularyFor", 1));
    }

    public void testContext ()
    {
	assertNotNull(sample.getContext());
	assertEquals(sample.getContext().toString(),
		     "TopicSet[@Duid='vocab.newsitemtype']/Topic/TopicType/@FormalName");
    }

    public void testScheme ()
    {
	assertNotNull(sample.getScheme());
	assertEquals(sample.getScheme().toString(), "Scheme");
    }

    private DefaultVocabularyFor sample;

}

// end of DefaultVocabularyForTest.java
