// DeltaTest.java - unit tests for Delta

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Delta;

public class DeltaTest extends TestCase
{

    public DeltaTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(2).getUpdate(1)
	    .getDelta(1);
    }

    public void testAction ()
    {
	assertEquals(sample.getAction(), Delta.INSERT_AFTER);
    }

    public void testTarget ()
    {
	assertEquals(sample.getTargetRef().toString(), "resource01");
	assertEquals(sample.getTargetNode().getXMLName(), "Resource");
    }

    public void testChildren ()
    {
	assertEquals(sample.getChildCount(), 1);
	assertEquals(sample.getChild(0).getXMLName(), "Resource");
    }

    private Delta sample;

}

// end of DeltaTest.java
