// EncodingTest.java - unit tests for org.newsml.toolkit.dom.Encoding

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Encoding;


public class EncodingTest extends TestCase
{

    public EncodingTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = (Encoding)(SampleFactory.createNewsML()
			    .getChild("NewsItem", 0)
			    .getChild("NewsComponent", 0)
			    .getChild("NewsComponent", 1)
			    .getChild("ContentItem", 1)
			    .getChild("Encoding", 0));
    }

    public void testNotation ()
    {
	assertEquals(sample.getNotation().toString(), "zip");
		     
    }

    public void testEncoding ()
    {
	assertNotNull(sample.getEncoding());
	assertNull(sample.getEncoding().getEncoding());
    }

    public void testDataContent ()
    {
	assertNull(sample.getDataContent());
	assertNotNull(sample.getEncoding().getDataContent());
    }

    private Encoding sample;

}

// end of EncodingTest.java
