// EquivalentNodeTest.java - unit tests for EquivalentNode

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.BaseNode;
import org.newsml.toolkit.EquivalentNode;
import org.newsml.toolkit.NewsMLException;

public class EquivalentNodeTest extends TestCase
{

    public EquivalentNodeTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getMember(1);
    }

    public void testBasisForChoiceNodes ()
	throws NewsMLException
    {
	BaseNode nodes[] = sample.getBasisForChoiceNodes();
	assertEquals(nodes.length, 3);
	assertNull(nodes[0]);
	assertEquals(nodes[1].getXMLName(), "MediaType");
	assertEquals(nodes[2].toString(), "comment-c");
    }

    private EquivalentNode sample;

}

// end of EquivalentNodeTest.java
