// IdentificationTest.java - unit tests for org.newsml.toolkit.dom.Identification

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Identification;


public class IdentificationTest extends TestCase
{

    public IdentificationTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getIdentification();
    }

    public void testNewsIdentifier ()
    {
	assertNotNull(sample.getNewsIdentifier());
    }

    public void testNameLabel ()
    {
	assertNotNull(sample.getNameLabel());
	assertEquals(sample.getNameLabel().toString(), "name label");
    }

    public void testDateLabel ()
    {
	assertNotNull(sample.getDateLabel());
	assertEquals(sample.getDateLabel().toString(), "date label");
    }

    public void testLabel ()
    {
	assertNotNull(sample.getLabel(0));
	assertNotNull(sample.getLabel(1));
	assertNull(sample.getLabel(2));
	assertEquals(sample.getLabel(0).getLabelType().getName().toString(), "type.1");
	assertEquals(sample.getLabel(0).getLabelText().toString(), "label 1");
    }

    private Identification sample;

}

// end of IdentificationTest.java
