// InstructionTest.java - unit tests for Instruction

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Instruction;

public class InstructionTest extends TestCase
{

    public InstructionTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getNewsManagement().getInstruction(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Instruction");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "instruction01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testFormalName ()
    {
	assertEquals(sample.getName().toString(), "instruction.b");
    }

    public void testRevisionStatus ()
    {
	assertEquals(sample.getRevisionStatusCount(), 2);
        assertEquals(sample.getRevisionStatus().length, 2);
	assertNotNull(sample.getRevisionStatus(0));
	assertNotNull(sample.getRevisionStatus(1));
	assertNull(sample.getRevisionStatus(2));
    }

    private Instruction sample;

}

// end of InstructionTest.java
