// LabelTest.java - unit tests for org.newsml.toolkit.dom.Label.

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.w3c.dom.NodeList;

import org.newsml.toolkit.Label;


public class LabelTest extends TestCase
{

    public LabelTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = (Label)(SampleFactory.createNewsML()
			 .getChild("NewsItem", 0)
			 .getChild("Identification", 0)
			 .getChild("Label", 0));
    }

    public void testLabelType ()
    {
	assertNotNull(sample.getLabelType());
	assertEquals(sample.getLabelType().getName().toString(), "type.1");
    }

    public void testLabelText ()
    {
	assertNotNull(sample.getLabelText());
	assertEquals(sample.getLabelText().toString(), "label 1");
    }

    private Label sample;

}

// end of LabelTest.java
