// MetadataTest.java - unit tests for Metadata

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Metadata;

public class MetadataTest extends TestCase
{

    public MetadataTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getMetadata(0);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Metadata");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "metadata01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testCatalog ()
    {
	assertNotNull(sample.getCatalog());
    }

    public void testMetadataType ()
    {
	assertEquals(sample.getMetadataType().getName().toString(), "metadata.a");
    }

    public void testProperty ()
    {
	assertEquals(sample.getPropertyCount(), 2);
        assertEquals(sample.getProperty().length, 2);
	assertNotNull(sample.getProperty(0));
	assertNotNull(sample.getProperty(1));
	assertNull(sample.getProperty(2));
    }

    private Metadata sample;

}

// end of MetadataTest.java
