// NewsEnvelopeTest.java - unit tests for NewsEnvelope

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.NewsEnvelope;

public class NewsEnvelopeTest extends TestCase
{

    public NewsEnvelopeTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsEnvelope();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "NewsEnvelope");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "newsenvelope01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testTransmissionId ()
    {
	assertNotNull(sample.getTransmissionId());
    }

    public void testSentFrom ()
    {
	assertNotNull(sample.getSentFrom());
    }

    public void testSentTo ()
    {
	assertNotNull(sample.getSentTo());
    }

    public void testDateAndTime ()
    {
	assertEquals(sample.getDateAndTime().toString(), "20001231T2359-0500");
    }

    public void testNewsService ()
    {
	assertEquals(sample.getNewsServiceCount(), 2);
        assertEquals(sample.getNewsService().length, 2);
	assertEquals(sample.getNewsService(0).getName().toString(), "service.a");
	assertEquals(sample.getNewsService(1).getName().toString(), "service.b");
	assertNull(sample.getNewsService(2));
    }

    public void testNewsProduct ()
    {
	assertEquals(sample.getNewsProductCount(), 2);
        assertEquals(sample.getNewsProduct().length, 2);
	assertEquals(sample.getNewsProduct(0).getName().toString(), "product.a");
	assertEquals(sample.getNewsProduct(1).getName().toString(), "product.b");
	assertNull(sample.getNewsProduct(2));
    }

    public void testPriority ()
    {
	assertEquals(sample.getPriority().getName().toString(), "priority.a");
    }

    private NewsEnvelope sample;

}

// end of NewsEnvelopeTest.java
