// NewsIdentifierTest.java - unit tests for NewsIdentifier

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.NewsIdentifier;

public class NewsIdentifierTest extends TestCase
{

    public NewsIdentifierTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getIdentification().getNewsIdentifier();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "NewsIdentifier");
	assertNotNull(sample.getSession());
    }

    public void testProviderId ()
    {
	assertEquals(sample.getProviderId().getName().toString(), "provider");
    }

    public void testDateId ()
    {
	assertEquals(sample.getDateId().toString(), "20001231");
    }

    public void testNewsItemId ()
    {
	assertEquals(sample.getNewsItemId().getName().toString(), "news-item-id");
    }

    public void testRevisionId ()
    {
	assertNotNull(sample.getRevisionId());
    }

    public void testPublicIdentifier ()
    {
	assertEquals(sample.getPublicIdentifier().toString(),
		     "public-identifier");
    }

    private NewsIdentifier sample;

}

// end of NewsIdentifierTest.java
