// NewsItemIdTest.java - unit tests for NewsItemId

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.NewsItemId;

public class NewsItemIdTest extends TestCase
{

    public NewsItemIdTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getIdentification().getNewsIdentifier().getNewsItemId();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "NewsItemId");
	assertNotNull(sample.getSession());
    }

    public void testName ()
    {
	assertEquals(sample.getName().toString(), "news-item-id");
    }

    public void testScheme ()
    {
	assertEquals(sample.getScheme().toString(), "schemexx");
    }

    public void testVocabulary ()
    {
	assertEquals(sample.getVocabulary().toString(), "vocabularyxx");
    }

    private NewsItemId sample;

}

// end of NewsItemIdTest.java
