// NewsItemTest.java - unit tests for org.newsml.toolkit.dom.NewsItem

package org.newsml.toolkit.dom.unittests;

import java.io.IOException;

import junit.framework.TestCase;

import org.xml.sax.SAXException;

import org.newsml.toolkit.NewsItem;


public class NewsItemTest extends TestCase
{

    public NewsItemTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0);
	sample2 = SampleFactory.createNewsML().getNewsItem(1);
	sample3 = SampleFactory.createNewsML().getNewsItem(2);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "NewsItem");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "newsitem01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testLanguage ()
    {
	assertEquals(sample.getLang().toString(), "en-UK");
    }

    public void testComment ()
    {
	assertEquals(sample.getCommentCount(), 2);
        assertEquals(sample.getComment().length, 2);
	assertNotNull(sample.getComment(0));
	assertNotNull(sample.getComment(1));
	assertNull(sample.getComment(2));
    }

    public void testCatalog ()
    {
	assertNotNull(sample.getCatalog());
    }

    public void testIdentification ()
    {
	assertNotNull(sample.getIdentification());
    }

    public void testNewsManagement ()
    {
	assertNotNull(sample.getNewsManagement());
    }

    public void testRootNewsComponent ()
    {
	assertNotNull(sample.getRootNewsComponent());
	assertNull(sample.getRootTopicSet());
    }

    public void testRootTopicSet ()
    {
	assertNotNull(sample2.getRootTopicSet());
	assertNull(sample2.getRootNewsComponent());
    }

    public void testUpdate ()
    {
	assertEquals(sample3.getUpdateCount(), 2);
    }

    private NewsItem sample;
    private NewsItem sample2;
    private NewsItem sample3;

}

// end of NewsItemTest.java
