// NewsMLTestSuite.java - top-level suite for running NewsML tests.

package org.newsml.toolkit.dom.unittests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class NewsMLTestSuite extends TestCase
{
    public NewsMLTestSuite (String name)
    {
	super(name);
    }

    public static Test suite ()
    {
	TestSuite suite = new TestSuite();

	suite.addTest(new TestSuite(AdministrativeMetadataTest.class));
	suite.addTest(new TestSuite(AssignedFormalNameTest.class));
	suite.addTest(new TestSuite(AssignedOriginTextTest.class));
	suite.addTest(new TestSuite(BaseNodeTest.class));
	suite.addTest(new TestSuite(BasisForChoiceTest.class));
	suite.addTest(new TestSuite(CharacteristicsTest.class));
	suite.addTest(new TestSuite(CatalogTest.class));
	suite.addTest(new TestSuite(CommentTest.class));
	suite.addTest(new TestSuite(ContentItemTest.class));
	suite.addTest(new TestSuite(CopyrightTest.class));
	suite.addTest(new TestSuite(DataContentTest.class));
	suite.addTest(new TestSuite(DefaultVocabularyForTest.class));
	suite.addTest(new TestSuite(DeltaTest.class));
	suite.addTest(new TestSuite(DescriptiveMetadataTest.class));
	suite.addTest(new TestSuite(EncodingTest.class));
	suite.addTest(new TestSuite(EquivalentNodeTest.class));
	suite.addTest(new TestSuite(FormalNameDeclTest.class));
	suite.addTest(new TestSuite(FormalNameTest.class));
	suite.addTest(new TestSuite(IdentificationTest.class));
	suite.addTest(new TestSuite(InstructionTest.class));
	suite.addTest(new TestSuite(LabelTest.class));
	suite.addTest(new TestSuite(MetadataTest.class));
	suite.addTest(new TestSuite(NewsComponentTest.class));
	suite.addTest(new TestSuite(NewsEnvelopeTest.class));
	suite.addTest(new TestSuite(NewsIdentifierTest.class));
	suite.addTest(new TestSuite(NewsItemTest.class));
	suite.addTest(new TestSuite(NewsItemIdTest.class));
	suite.addTest(new TestSuite(NewsItemRefTest.class));
	suite.addTest(new TestSuite(NewsLineTest.class));
	suite.addTest(new TestSuite(NewsLinesTest.class));
	suite.addTest(new TestSuite(NewsManagementTest.class));
	suite.addTest(new TestSuite(NewsMLFactoryTest.class));
	suite.addTest(new TestSuite(NewsMLSessionTest.class));
	suite.addTest(new TestSuite(NewsMLTest.class));
	suite.addTest(new TestSuite(OriginTest.class));
	suite.addTest(new TestSuite(OriginTextTest.class));
	suite.addTest(new TestSuite(PartyListTest.class));
	suite.addTest(new TestSuite(PartyTest.class));
	suite.addTest(new TestSuite(PropertyTest.class));
	suite.addTest(new TestSuite(ProviderIdTest.class));
	suite.addTest(new TestSuite(RevisionIdTest.class));
	suite.addTest(new TestSuite(ResourceTest.class));
	suite.addTest(new TestSuite(RevisionStatusTest.class));
	suite.addTest(new TestSuite(RightsMetadataTest.class));
	suite.addTest(new TestSuite(SourceListTest.class));
	suite.addTest(new TestSuite(StatusWillChangeTest.class));
	suite.addTest(new TestSuite(SubjectCodeTest.class));
	suite.addTest(new TestSuite(SubjectCodeItemTest.class));
	suite.addTest(new TestSuite(TextTest.class));
	suite.addTest(new TestSuite(TopicNodeTest.class));	
	suite.addTest(new TestSuite(TopicSetRefTest.class));	
	suite.addTest(new TestSuite(TopicSetTest.class));	
	suite.addTest(new TestSuite(TopicTest.class));
	suite.addTest(new TestSuite(TopicUseTest.class));
	suite.addTest(new TestSuite(TransmissionIdTest.class));
	suite.addTest(new TestSuite(UpdateTest.class));
	suite.addTest(new TestSuite(UsageRightsTest.class));

	return suite;
    }

}

// end of NewsMLTestSuite.java
