// OriginTest.java - unit tests for Origin

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Origin;
import org.newsml.toolkit.OriginNode;
import org.newsml.toolkit.OriginText;

public class OriginTest extends TestCase
{

    public OriginTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	OriginText byline = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getNewsLines()
	    .getByLine(0);
	for (int i = 0; i < byline.getChunkCount(); i++) {
	    sample = byline.getOrigin(i);
	    if (sample != null)
		break;
	}
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Origin");
	assertNotNull(sample.getSession());
    }

    public void testCount ()
    {
	assert(sample.getChunkCount() > 0);
    }

    public void testType ()
    {
	assertEquals(sample.getChunkType(0), OriginNode.TEXT);
    }

    public void testHref ()
    {
	assertEquals(sample.getHref().toString(), "href-99");
    }

    public void testAssignment ()
    {
	assertEquals(sample.getAssignedBy().toString(), "assigned-by-99");
	assertEquals(sample.getImportance().getName().toString(), "importance-99");
	assertEquals(sample.getConfidence().getName().toString(), "confidence-99");
	assertEquals(sample.getHowPresent().getName().toString(), "how-present-99");
	assertEquals(sample.getAssignmentDateAndTime().toString(),
		     "1999-12-31");
    }

    private Origin sample;

}

// end of OriginTest.java
