// OriginTextTest.java - unit tests for OriginText

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Origin;
import org.newsml.toolkit.OriginNode;
import org.newsml.toolkit.OriginText;

public class OriginTextTest extends TestCase
{

    public OriginTextTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getNewsLines()
	    .getByLine(0);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "ByLine");
	assertNotNull(sample.getSession());
    }

    public void testLang ()
    {
	assertEquals(sample.getLang().toString(), "fr");
    }

    public void testCount ()
    {
	assert(sample.getChunkCount() > 0);
    }

    public void testType ()
    {
	assertEquals(sample.getChunkType(0), OriginNode.TEXT);
    }

    public void testGetData ()
    {
	StringBuffer buf = new StringBuffer();
	for (int i = 0; i < sample.getChunkCount(); i++) {
	    String data = sample.getData(i);
	    if (data != null)
		buf.append(data);
	}
	assertEquals(buf.toString(), "byline.a");
    }

    public void testGetOrigin ()
    {
	Origin origin = null;
	for (int i = 0; i < sample.getChunkCount(); i++) {
	    if (sample.getOrigin(i) != null)
		origin = sample.getOrigin(i);
	}
	assertNotNull(origin);
    }

    private OriginText sample;

}

// end of OriginTextTest.java
