// PartyListTest.java - unit tests for PartyList

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.PartyList;

public class PartyListTest extends TestCase
{

    public PartyListTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsEnvelope()
	    .getSentFrom();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "SentFrom");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "sentfrom01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testComment ()
    {
	assertEquals(sample.getCommentCount(), 2);
        assertEquals(sample.getComment().length, 2);
	assertNotNull(sample.getComment(0));
	assertNotNull(sample.getComment(1));
	assertNull(sample.getComment(2));
    }

    public void testParty ()
    {
	assertEquals(sample.getPartyCount(), 2);
        assertEquals(sample.getParty().length, 2);
	assertNotNull(sample.getParty(0));
	assertNotNull(sample.getParty(1));
	assertNull(sample.getParty(2));
    }

    protected PartyList sample;

}

// end of PartyListTest.java
