// PartyTest.java - unit tests for Party

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Party;

public class PartyTest extends TestCase
{

    public PartyTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsEnvelope()
	    .getSentFrom().getParty(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Party");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "party01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testTopicRef ()
    {
	assertEquals(sample.getTopicRef().toString(), "topic.a");
    }

    public void testFormalName ()
    {
	assertEquals(sample.getName().toString(), "sent-from.b");
    }

    private Party sample;

}

// end of PartyTest.java
