// ProviderIdTest.java - unit tests for ProviderId

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.ProviderId;

public class ProviderIdTest extends TestCase
{

    public ProviderIdTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getIdentification().getNewsIdentifier().getProviderId();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "ProviderId");
	assertNotNull(sample.getSession());
    }

    public void testName ()
    {
	assertEquals(sample.getName().toString(), "provider");
    }

    public void testVocabulary ()
    {
	assertEquals(sample.getVocabulary().toString(), "vocabulary.a");
    }

    private ProviderId sample;

}

// end of ProviderIdTest.java
