// RevisionIdTest.java - unit tests for RevisionId

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.RevisionId;

public class RevisionIdTest extends TestCase
{

    public RevisionIdTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getIdentification().getNewsIdentifier().getRevisionId();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "RevisionId");
	assertNotNull(sample.getSession());
    }

    public void testValue ()
    {
	assertEquals(sample.toInt(), 2);
    }

    public void testPreviousRevision ()
    {
	assertEquals(sample.getPreviousRevision().toInt(), 1);
    }

    public void testUpdate ()
    {
	assertEquals(sample.getUpdate().toString(), "U");
    }

    private RevisionId sample;

}

// end of RevisionIdTest.java
