// RevisionStatusTest.java - unit tests for RevisionStatus

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.RevisionStatus;

public class RevisionStatusTest extends TestCase
{

    public RevisionStatusTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getNewsManagement().getInstruction(1).getRevisionStatus(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "RevisionStatus");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "revisionstatus01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testStatus ()
    {
	assertEquals(sample.getStatus().getName().toString(), "status.b");
    }

    public void testRevision ()
    {
	assertEquals(sample.getRevision().toInt(), 1);
    }

    private RevisionStatus sample;

}

// end of RevisionStatusTest.java
