// SampleFactory.java - construct a sample NewsML document for unit tests.

package org.newsml.toolkit.dom.unittests;

import java.io.IOException;
import java.net.URL;

import org.w3c.dom.Document;

import org.apache.xerces.parsers.DOMParser;

import org.newsml.toolkit.NewsML;
import org.newsml.toolkit.NewsMLFactory;

import org.newsml.toolkit.dom.DOMNewsMLFactory;
import org.newsml.toolkit.dom.XercesDOMFactory;


/**
 * Construct a sample NewsML document for unit tests.
 */
public final class SampleFactory
{
    public static String sampleFile = "sample.xml";

    private SampleFactory ()
    {
    }


    /**
     * Create a NewsML node.
     */
    public final static NewsML createNewsML ()
	throws IOException
    {
	return createNewsML(false);
    }

    /**
     * Create a NewsML node.
     */
    public final static NewsML createNewsML (boolean nocache)
	throws IOException
    {
	NewsML newsml = SampleFactory.newsml;
	if (nocache || newsml == null) {
	    URL url = SampleFactory.class.getResource(sampleFile);
	    newsml = newsmlFactory.createNewsML(url.toString());
	}
	if (!nocache)
	    SampleFactory.newsml = newsml;
	return newsml;
    }

    private static NewsML newsml = null;
    private static NewsMLFactory newsmlFactory =
	new DOMNewsMLFactory(new XercesDOMFactory());

}

// end of SampleFactory.java
