// StatusWillChangeTest.java - unit tests for StatusWillChange

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.StatusWillChange;

public class StatusWillChangeTest extends TestCase
{

    public StatusWillChangeTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getNewsManagement().getStatusWillChange();
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "statuswillchange01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testFutureStatus ()
    {
	assertEquals(sample.getFutureStatus().getName().toString(),
		     "change.a");
    }

    public void testDateAndTime ()
    {
	assertEquals(sample.getDateAndTime().toString(), "20010101");
    }

    private StatusWillChange sample;

}

// end of StatusWillChangeTest.java
