// TopicNodeTest.java - unit tests for TopicNode

package org.newsml.toolkit.dom.unittests;

import java.io.IOException;

import junit.framework.TestCase;

import org.newsml.toolkit.Topic;
import org.newsml.toolkit.TopicNode;

public class TopicNodeTest extends TestCase
{

    public TopicNodeTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getCatalog().getTopicUse(1);
    }

    public void testTopicRef ()
    {
	assertEquals(sample.getTopicRef().toString(), "#topic.b");
    }

    public void testReferencedTopic ()
	throws IOException
    {
	Topic topic = sample.getReferencedTopic(false);
	assertNotNull(topic);
	assertEquals(topic.getXMLName(), "Topic");
	assertEquals(topic.getDuid().toString(), "topic.b");
    }

    private TopicNode sample;

}

// end of TopicNodeTest.java
