// TopicUseTest.java - unit tests for TopicUse

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.TopicUse;

public class TopicUseTest extends TestCase
{

    public TopicUseTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getCatalog().getTopicUse(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "TopicUse");
	assertNotNull(sample.getSession());
    }

    public void testTopicRef ()
    {
	assertEquals(sample.getTopicRef().toString(), "#topic.b");
    }

    public void testContext ()
    {
	assertEquals(sample.getContext().toString(), "context.a");
    }

    private TopicUse sample;

}

// end of TopicUseTest.java
