// TransmissionIdTest.java - unit tests for TransmissionId

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.TransmissionId;

public class TransmissionIdTest extends TestCase
{

    public TransmissionIdTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsEnvelope()
	    .getTransmissionId();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "TransmissionId");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "transmissionid01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testValue ()
    {
	assertEquals(sample.toString(), "12345");
    }

    public void testRepeat ()
    {
	assertEquals(sample.getRepeat().toString(), "repeat.a");
    }

    private TransmissionId sample;

}

// end of TransmissionIdTest.java
