// UsageRightsTest.java - unit tests for UsageRights

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.UsageRights;

public class UsageRightsTest extends TestCase
{

    public UsageRightsTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getRightsMetadata().getUsageRights(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "UsageRights");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid().toString(), "usagerights01");
	assertEquals(sample.getEuid().toString(), "id1");
    }

    public void testAssignment ()
    {
	assertEquals(sample.getAssignedBy().toString(), "assigned-by-6");
	assertEquals(sample.getConfidence().getName().toString(), "confidence-6");
	assertEquals(sample.getAssignmentDateAndTime().toString(),
		     "2000-12-26");
	assertEquals(sample.getHowPresent().getName().toString(), "how-present-6");
	assertEquals(sample.getImportance().getName().toString(), "importance-6");
    }

    public void testUsageType ()
    {
	assertEquals(sample.getUsageType().toString(), "usage.a");
    }

    public void testGeography ()
    {
	assertEquals(sample.getGeography().toString(), "geography.a");
    }

    public void testRightsHolder ()
    {
	assertEquals(sample.getRightsHolder().toString(), "holder.a");
    }

    public void testLimitations ()
    {
	assertEquals(sample.getLimitations().toString(), "limitations.a");
    }

    public void testStartDate ()
    {
	assertEquals(sample.getStartDate().toString(), "20001231");
    }

    public void testEndDate ()
    {
	assertEquals(sample.getEndDate().toString(), "20010106");
    }

    private UsageRights sample;

}

// end of UsageRightsTest.java
